summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorStefano Karapetsas <[email protected]>2011-11-23 18:46:07 +0100
committerStefano Karapetsas <[email protected]>2011-11-23 18:46:07 +0100
commit7ab089fd6e4d1b73160c5d39559775cce911c653 (patch)
tree8856e261ed5af68147fb714da9645d1d50d8e169 /autogen.sh
parentc9b682a53a7a5e3df9beafaa279425f4449d3d1f (diff)
downloadmate-sensors-applet-7ab089fd6e4d1b73160c5d39559775cce911c653.tar.bz2
mate-sensors-applet-7ab089fd6e4d1b73160c5d39559775cce911c653.tar.xz
added autogen.sh
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..409fa64
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="mate-sensors-applet"
+
+(test -f $srcdir/configure.in) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
+}
+
+which mate-autogen.sh || {
+ echo "You need to install mate-common from the MATE Git"
+ exit 1
+}
+
+REQUIRED_AUTOMAKE_VERSION=1.9
+USE_MATE2_MACROS=1
+USE_COMMON_DOC_BUILD=yes
+
+. mate-autogen.sh